View Single Post
Old January 19th, 2011, 11:27 PM   #11 (permalink)
FreakyLocz14
 
Join Date: Jul 2010
Posts: 1,344
 
Device(s): Samsung EPIC 4G, Asus EeePad Transformer
Carrier: Not Provided

Thanks: 73
Thanked 74 Times in 54 Posts
Default

You don't need 2.2 to use Skype. It works on my kid sister's Virgin Mobile Intercept that is on 2.1 still.
FreakyLocz14 is offline  
Reply With Quote